Jump to content
john23

Update Exchange Server 2016 RMT to CU4

Recommended Posts

Hallo Leute,

 

ich versuche eine hoffnungslos veraltetet Exchange 2016 Server zu aktuallisieren. Die Version ist RTM.

 

Bei einem Update nach CU 4 erhalte ich bei preparead folgenden Fehler:

 

[03.12.2019 21:21:31.0523] [2] Process C:\Windows\system32\ldifde.exe finished with exit code 8224.
[03.12.2019 21:21:31.0539] [2] [ERROR] There was an error while running 'ldifde.exe' to import the schema file 'E:\Programme\Exchange\Setup\Data\PostExchange2003_schema0.ldf'. The error code is: 8224. More details can be found in the error file: 'C:\Users\Administrator.firma\AppData\Local\Temp\2\ldif.err'
[03.12.2019 21:21:31.0632] [2] [ERROR] There was an error while running 'ldifde.exe' to import the schema file 'E:\Programme\Exchange\Setup\Data\PostExchange2003_schema0.ldf'. The error code is: 8224. More details can be found in the error file: 'C:\Users\Administrator.firma\AppData\Local\Temp\2\ldif.err'
[03.12.2019 21:21:31.0632] [2] Ending processing install-ExchangeSchema

 

Ich vermute, dass mir irgendwas von .netFramework im wege steht. Momentan ist nur die 4.5.2 installiert. Wenn ich die Kompatibilität richtig lese darf .net 4.6.1 erst ab cu2 drauf.

 

An Installationsdateien von CU2 komme ich nicht mehr ran - cu4 habe ich noch gefunden.

 

John

 

 

Share this post


Link to post
Share on other sites

Ich vermute eher defektes iso. Noch einmal ziehen und probieren.

Alternativ gleich cu12 und vc++ und .net updaten.

Share this post


Link to post
Share on other sites

Korrekt. Spar dir die Zwischenschritte. .net 4.7.2 drauf, VC 2012 und 2013 drauf und danach direkt CU12. Alles andere macht nur mehr Stress. 

vor 24 Minuten schrieb john23:

'C:\Users\Administrator.firma\AppData\Local\Temp\2\ldif.err'

Was steht denn in dieser Datei?

Share this post


Link to post
Share on other sites

VC 2012? 2013?

 

Ldif.log

 

Verbindung mit "dc.firma.local" wird hergestellt.

Anmelden als aktueller Benutzer unter Verwendung von SSPI

Das Verzeichnis wird aus der Datei "E:\Programme\Exchange\Setup\Data\PostExchange2003_schema0.ldf" importiert.

Die Einträge werden geladen.
1: CN=ms-Exch-ELC-Expiry-Action,CN=Schema,CN=Configuration,DC=firma,DC=local
Entry DN: CN=ms-Exch-ELC-Expiry-Action,CN=Schema,CN=Configuration,DC=firma-loehr,DC=local
Fehler für Eintrag mit Beginn in Zeile 1: Fehler beim Vorgang

Serverseitiger Fehler: 0x21a2 Der FSMO-Rollenbesitz konnte nicht überprüft werden, da die zugehörige Verzeichnispartition nicht mit mindestens einem Replikationspartner repliziert wurde.

Erweiterter Serverfehler:

000021A2: SvcErr: DSID-030A0B6B, problem 5012 (DIR_ERROR), data 8610


0 Einträge wurden erfolgreich geändert.

Fehler im Programm

 

 

ldif.err

 

Entry DN: CN=ms-Exch-ELC-Expiry-Action,CN=Schema,CN=Configuration,DC=firma,DC=local
Fehler für Eintrag mit Beginn in Zeile 1: Fehler beim Vorgang

Serverseitiger Fehler: 0x21a2 Der FSMO-Rollenbesitz konnte nicht überprüft werden, da die zugehörige Verzeichnispartition nicht mit mindestens einem Replikationspartner repliziert wurde.

Erweiterter Serverfehler:

000021A2: SvcErr: DSID-030A0B6B, problem 5012 (DIR_ERROR), data 8610


Fehler im Programm

 

Share this post


Link to post
Share on other sites
vor 51 Minuten schrieb Nobbyaushb:

@NorbertFe - .NET 4.7.2? Ich war der Meinung, 4.7.1 ist supportet, oder ist was an mir vorbeigegangen? :eye2:

Das kommt schonmal vor. ;)

Share this post


Link to post
Share on other sites

.net und vc und cu 12 hat erst mal den selben Fehler gebracht. Nochmal google angeworfen und [1] gefunden. Dann nochmal brain.exe angeworfen und den Container Domain Controllers geprüft und da war eine AD Server drin der nicht mehr vorhanden war.

 

DNS und AD bereinigt und Setup erneut gestartet und Setup läuft.

 

[1] https://practical365.com/exchange-server/error-code-8224-running-ldifde-exe-import-schema-file/

Edited by john23

Share this post


Link to post
Share on other sites

Definitiv nicht. Was mich gewundert hat, auf dem Server waren bereits .net 4.7.2 und die VC Geschichten installiert. Nach dem Start des Setups ist nur die Meldung gekommen, dass "eine akutellere oder die gleiche Version bereits installiert ist".

 

Share this post


Link to post
Share on other sites

wieso wundert dich das? :)

gibt ja keine "automatische" INstallationsverhinderung, sondern nur eine manuelle.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

Werbepartner:



×
×
  • Create New...